## geophar 16.01~dfsg1

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = ../build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Geophar.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Geophar.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## geophar 14.07~dfsg1

=== debian/changelog ===
geophar (14.07~dfsg1-3) unstable; urgency=medium

  * removed dependencies on libjs-jquery, libjs-underscore
  * added a dependency on python-scipy. Closes:#764850

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 13 Oct 2014 19:44:34 +0200

geophar (14.07~dfsg1-2) unstable; urgency=medium

  * upgraded the dependency on python-wxgtk (2.8 => 3.0).
    Closes:#764791

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 13 Oct 2014 18:24:02 +0200

geophar (14.07~dfsg1-1) unstable; urgency=low

  * Initial release (Closes: #742453)
  * wrote a script debian/get-newest-version.sh to use with uscan;
      + it removes the embedded sympy module
      + it removes embedded javascript libraries
      + it compiles the documentation files with Sphinx, which requires
        an access to Internet, dbus, and an X11 server.
  * customized two files to comply with Debian, see the patch.
  * added the command-line program geophar and a desktop file
  * 

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 23 Mar 2014 18:59:35 +0100

=== debian/control ===
Source: geophar
Section: math
Priority: optional
Maintainer: Georges Khaznadar <georgesk@debian.org>
Build-Depends: debhelper (>= 9.0.0), python-all, quilt,
 python-sympy, python-numpy, python-matplotlib
XS-Python-Version: >= 2.6
Standards-Version: 3.9.5
Homepage: http://sourceforge.net/projects/geophar/

Package: geophar
Architecture: all
Depends: ${python:Depends}, ${misc:Depends},
 python-numpy (>= 1.3), python-sympy (>= 0.7.1),
 python-scipy, python-matplotlib (>= 1.1), python-wxgtk3.0,
 jsmath, python-qscintilla2
Conflicts: wxgeometrie ( << 1.99 )
Replaces: wxgeometrie
Recommends: jsmath-fonts
Description: Swiss army knife for the math teacher
 this application contains every tool you would like to find when
 preparing math courses, exercises or their keys.

## geophar 14.08.1~dfsg1

=== debian/changelog ===
geophar (14.08.1~dfsg1-1) unstable; urgency=medium

  * upgraded to the newest upstream version
  * fixed a bu in d/get-newest-version.sh
  * upgraded Version-Standards to 3.9.6

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 08 May 2015 19:20:21 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper (>= 9.0.0), python-all, quilt,
  python-sympy, python-numpy, python-matplotlib
 XS-Python-Version: >= 2.6
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://sourceforge.net/projects/geophar/
 
 Package: geophar

## geophar 15.10.1~dfsg1

=== debian/changelog ===
geophar (15.10.1~dfsg1-1) unstable; urgency=medium

  * upgraded to the newest upstream version
  * added a build-dependency on python-dbus

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 16 Dec 2015 15:37:39 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Georges Khaznadar <georgesk@debian.org>
 Build-Depends: debhelper (>= 9.0.0), python-all, quilt,
- python-sympy, python-numpy, python-matplotlib
+ python-sympy, python-numpy, python-matplotlib, python-dbus
 XS-Python-Version: >= 2.6
 Standards-Version: 3.9.6
 Homepage: http://sourceforge.net/projects/geophar/

## geophar 16.01~dfsg1

=== debian/changelog ===
geophar (16.01~dfsg1-1) unstable; urgency=medium

  * upgraded to the new upstream release.

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 27 Jan 2016 17:20:53 +0100

geophar (15.10.1~dfsg1-2) unstable; urgency=medium

  * modified build-dependencies. Closes: #808501

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 22 Dec 2015 16:07:48 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Priority: optional
 Maintainer: Georges Khaznadar <georgesk@debian.org>
 Build-Depends: debhelper (>= 9.0.0), python-all, quilt,
- python-sympy, python-numpy, python-matplotlib, python-dbus
+ python-sympy, python-numpy, python-matplotlib, python-dbus,
+ python-sip, python-qt4, python-scipy, python-qscintilla2
 XS-Python-Version: >= 2.6
 Standards-Version: 3.9.6
 Homepage: http://sourceforge.net/projects/geophar/
@@ -12,7 +13,7 @@
 Architecture: all
 Depends: ${python:Depends}, ${misc:Depends},
  python-numpy (>= 1.3), python-sympy (>= 0.7.1),
- python-scipy, python-matplotlib (>= 1.1), python-wxgtk3.0,
+ python-scipy, python-matplotlib (>= 1.1), python-qt4,
  jsmath, python-qscintilla2
 Conflicts: wxgeometrie ( << 1.99 )
 Replaces: wxgeometrie

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with python2

override_dh_clean:
	### clean files created during tests
	find . -name "*.pyc" -exec rm {} \;
	rm -rf config
	### remove the build dir
	rm -rf build
	### keep on cleaning
	dh_clean


PIXMAPDIR = debian/geophar/usr/share/pixmaps
override_dh_install:
	dh_install
	# install an icon
	install -d $(PIXMAPDIR)
	install -m 644 wxgeometrie/images/logo64x64.png $(PIXMAPDIR)/geophar.png
	#######################################################
	# replace javascript libraries which were bundled in the 
	# upstream package by symlinks
	#######################################################

	###################### jsMath #########################
	ln -s /usr/share/jsmath \
	  debian/geophar/usr/share/geophar/wxgeometrie/doc/html/_static/jsMath

	# remove extra license files
	find debian/geophar -name "LICENSE" -exec rm {} \;
	find debian/geophar -name "license*" -exec rm {} \;
	# fix a few wrong permissions
	find debian/geophar -name "*.py" -exec chmod 644 {} \;
	chmod 644 debian/geophar/usr/share/geophar/tools/bash_autocompletion
	chmod 755 debian/geophar/usr/share/geophar/tools/resources/geophar
	# remove files which cannot be compiled by phython 2
	rm -rf debian/geophar/usr/share/geophar/wxgeometrie/sympy/mpmath/tests
	rm -f debian/geophar/usr/share/geophar/wxgeometrie/sympy/mpmath/libmp/exec_py3.py

=== debian/watch ===
version=3

opts=dversionmangle=s/~dfsg\d*$// \
https://github.com/wxgeo/geophar/tags \
   /wxgeo/geophar/archive/[Vv](.*)\.tar\.gz \
   debian debian/get-newest-version.sh

## geophar 16.08.4~dfsg1

=== debian/changelog ===
geophar (16.08.4~dfsg1-1) unstable; urgency=medium

  * New upstream release
  * Upgraded Standards-Version: 3.9.8
  
 -- Georges Khaznadar <georgesk@debian.org>  Sun, 13 Nov 2016 22:12:28 +0100

geophar (16.01~dfsg1-3) unstable; urgency=medium

  * modified the command geophar to take arguments in account
  * changed the icon for the desktop file
  * added a build-dependency on build-essential
  * upgraded Standards-Version to 3.9.8

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 01 May 2016 12:41:04 +0200

geophar (16.01~dfsg1-2) unstable; urgency=medium

  * upgraded: Standards-Version: 3.9.7; XS-Python-Version: >= 2.7
  * added a dependency on python-pep8. Closes autoremoval procedure.

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 23 Apr 2016 19:13:42 +0200

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,10 @@
 Maintainer: Georges Khaznadar <georgesk@debian.org>
 Build-Depends: debhelper (>= 9.0.0), python-all, quilt,
  python-sympy, python-numpy, python-matplotlib, python-dbus,
- python-sip, python-qt4, python-scipy, python-qscintilla2
-XS-Python-Version: >= 2.6
-Standards-Version: 3.9.6
+ python-sip, python-qt4, python-scipy, python-qscintilla2,
+ build-essential
+XS-Python-Version: >= 2.7
+Standards-Version: 3.9.8
 Homepage: http://sourceforge.net/projects/geophar/
 
 Package: geophar
@@ -14,7 +15,7 @@
 Depends: ${python:Depends}, ${misc:Depends},
  python-numpy (>= 1.3), python-sympy (>= 0.7.1),
  python-scipy, python-matplotlib (>= 1.1), python-qt4,
- jsmath, python-qscintilla2
+ jsmath, python-qscintilla2, python-pep8
 Conflicts: wxgeometrie ( << 1.99 )
 Replaces: wxgeometrie
 Recommends: jsmath-fonts

=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,7 @@
 	dh_install
 	# install an icon
 	install -d $(PIXMAPDIR)
-	install -m 644 wxgeometrie/images/logo64x64.png $(PIXMAPDIR)/geophar.png
+	install -m 644 debian/geophar.png $(PIXMAPDIR)/geophar.png
 	#######################################################
 	# replace javascript libraries which were bundled in the 
 	# upstream package by symlinks

## geophar 18.08.2+dfsg1

=== debian/changelog ===
geophar (18.08.2+dfsg1-2) unstable; urgency=medium

  * fixed a bug with the obsoleted class FigureCanvasQTAggBase.
    Closes: #930672

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 18 Jun 2019 11:34:20 +0200

geophar (18.08.2+dfsg1-1) unstable; urgency=medium

  * new upstream version ; uses mathjax for the documents

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 20 Oct 2018 16:48:15 +0200

geophar (18.08.1+dfsg1-1) unstable; urgency=medium

  * new upstream version
  * added a dependency on python3-stemmer
  * updated dh level to 11

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 19 Oct 2018 12:04:43 +0200

geophar (18.08+dfsg1-1) unstable; urgency=medium

  * new upstream version, Closes: #875497
  * updated the watch and the script to get a new file
  * modified d/rules and d/control to use python3 and pybuild, and
    updated dependencies
  * the tests did not succeed with pybuild, so they are inactivated
  * modified dependencies to use qt5
  * updated Standards-Version: 4.2.1
  * added XS-Python-Version: >= 3.5 in d/control

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 16 Sep 2018 18:37:52 +0200

geophar (16.08.4~dfsg1-4) unstable; urgency=medium

  * fixed Vcs information in debian/control

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 24 Aug 2018 08:51:00 +0200

geophar (16.08.4~dfsg1-3) unstable; urgency=medium

  * made a wild fix, to take in account the new number of arguments
    for sympy.Rational.__pow__ (there are three of them now). Closes: #906601
  * removed ancient-python-version-field xs-python-version 2.7
  * upgraded dh level to 10, Standards-Version to 4.1.5
  * added Vcs stuff

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 23 Aug 2018 14:48:10 +0200

geophar (16.08.4~dfsg1-2) unstable; urgency=medium

  * removed build-essential from dependencies. Closes: #892885

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 14 Mar 2018 18:32:16 +0100

=== debian/control ===
Source: geophar
Section: math
Priority: optional
Maintainer: Georges Khaznadar <georgesk@debian.org>
Build-Depends: debhelper (>= 11.0.0), python3-all, dh-python, quilt,
 python3-sympy, python3-numpy, python3-matplotlib, python3-dbus,
 python3-sip, pyqt5-dev-tools,  qttools5-dev-tools, qt5-qmake,
 python3-scipy, python3-pyqt5.qsci, python3-pyqt5.qtsvg
Standards-Version: 4.2.1
X-Python3-Version: >= 3.5
Homepage: http://sourceforge.net/projects/geophar/
Vcs-Browser: https://salsa.debian.org/georgesk/geophar
Vcs-Git: https://salsa.debian.org/georgesk/geophar.git

Package: geophar
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends},
 python3-numpy (>= 1.3), python3-sympy (>= 0.7.1),
 python3-scipy, python3-matplotlib (>= 1.1), python3-pyqt5,
 python3-pyqt5.qsci, python3-pyqt5.qtsvg, python3-pep8,
 python3-stemmer,
 jsmath
Conflicts: wxgeometrie ( << 1.99 )
Replaces: wxgeometrie
Recommends: jsmath-fonts
Description: Swiss army knife for the math teacher
 this application contains every tool you would like to find when
 preparing math courses, exercises or their keys. Features:
 - symbolic calculus
 - tables of variations, LaTeX syntax
 - dynamic geometry
 - probability trees
 - graphs
 - function plotting
 - histograms, etc.

## geophar 18.08.2+dfsg2

=== debian/changelog ===
geophar (18.08.2+dfsg2-1) unstable; urgency=medium

  * fixed a bug with the obsoleted class FigureCanvasQTAggBase.
    Closes: #930672

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 18 Jun 2019 11:34:20 +0200

=== debian/rules ===
--- 
+++ 
@@ -4,17 +4,18 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+export QT_API = PyQt5
+
 %:
-	dh $@ --with python2
+	dh $@ --buildsystem=pybuild --with python3
 
-override_dh_clean:
+override_dh_auto_clean:
+	dh_auto_clean
 	### clean files created during tests
-	find . -name "*.pyc" -exec rm {} \;
+	find . -type d -name __pycache__ | xargs rm -rf
 	rm -rf config
 	### remove the build dir
 	rm -rf build
-	### keep on cleaning
-	dh_clean
 
 
 PIXMAPDIR = debian/geophar/usr/share/pixmaps
@@ -42,3 +43,7 @@
 	# remove files which cannot be compiled by phython 2
 	rm -rf debian/geophar/usr/share/geophar/wxgeometrie/sympy/mpmath/tests
 	rm -f debian/geophar/usr/share/geophar/wxgeometrie/sympy/mpmath/libmp/exec_py3.py
+
+override_dh_auto_test:
+	echo "Not doing tests, which are failing, probably due to --buildsystem=pybuild"
+	echo "However the tests are successful when the build is not done by debuild"

## geophar 18.08.4+dfsg1

=== debian/changelog ===
geophar (18.08.4+dfsg1-2) unstable; urgency=medium

  * fixed some upstream files: wrong call to traceback.format_exc,
    and not documented need to set a variable named "install" to True
    when the program is installed; also fixed the places for user
    configuration and session files.

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 26 Aug 2019 20:00:35 +0200

geophar (18.08.4+dfsg1-1) unstable; urgency=medium

  * new upstream version
  * upgraded Standards-Version: 4.3.0
  * removed X-Python3-Version
  * added a rule to clean the privacy breaches (references to
    https://cdnjs.cloudflare.com)
  * added Recommends: libjs-mathjax, Suggests: apache2|httpd

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 26 Aug 2019 18:13:00 +0200

geophar (18.08.2+dfsg2-2) unstable; urgency=medium

  * made a source-only upload

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 25 Aug 2019 16:17:53 +0200

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,7 @@
  python3-sympy, python3-numpy, python3-matplotlib, python3-dbus,
  python3-sip, pyqt5-dev-tools,  qttools5-dev-tools, qt5-qmake,
  python3-scipy, python3-pyqt5.qsci, python3-pyqt5.qtsvg
-Standards-Version: 4.2.1
-X-Python3-Version: >= 3.5
+Standards-Version: 4.3.0
 Homepage: http://sourceforge.net/projects/geophar/
 Vcs-Browser: https://salsa.debian.org/georgesk/geophar
 Vcs-Git: https://salsa.debian.org/georgesk/geophar.git
@@ -22,7 +21,8 @@
  jsmath
 Conflicts: wxgeometrie ( << 1.99 )
 Replaces: wxgeometrie
-Recommends: jsmath-fonts
+Recommends: jsmath-fonts, libjs-mathjax
+Suggests: apache2|httpd
 Description: Swiss army knife for the math teacher
  this application contains every tool you would like to find when
  preparing math courses, exercises or their keys. Features:

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,8 @@
 #export DH_VERBOSE=1
 
 export QT_API = PyQt5
+
+DESTDIR = debian/geophar
 
 %:
 	dh $@ --buildsystem=pybuild --with python3
@@ -16,6 +18,8 @@
 	rm -rf config
 	### remove the build dir
 	rm -rf build
+	### remove a sourceless binay
+	rm -f tools/resources/7zS.sfx
 
 
 PIXMAPDIR = debian/geophar/usr/share/pixmaps
@@ -43,6 +47,10 @@
 	# remove files which cannot be compiled by phython 2
 	rm -rf debian/geophar/usr/share/geophar/wxgeometrie/sympy/mpmath/tests
 	rm -f debian/geophar/usr/share/geophar/wxgeometrie/sympy/mpmath/libmp/exec_py3.py
+	# replace all the privacy-breaches
+	for f in $$(grep -rl 'script.*src.*mathjax' $(DESTDIR)/usr/share/geophar/wxgeometrie/doc/html); do \
+	  sed -i 's%https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-AMS-MML_HTMLorMML%http://localhost/javascript/mathjax/MathJax.js%' $$f; \
+	done
 
 override_dh_auto_test:
 	echo "Not doing tests, which are failing, probably due to --buildsystem=pybuild"

## geophar 18.08.6+dfsg1

=== debian/changelog ===
geophar (18.08.6+dfsg1-3) unstable; urgency=medium

  * upgraded X-Python3-Version: 3.8. Closes: #956673
  * could not reproduce Bug ##954432, asked the bugreport's author to try
    to erase stale configuration files, two weeks ago ... I got no
    response so far; so I guess that geophar failed to start in one
    particular machine in the world, and I know some other machines where
    it does not fail. Now closing this bug report. Closes: #954432

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 18 Apr 2020 14:32:55 +0200

geophar (18.08.6+dfsg1-2) unstable; urgency=medium

  * upgraded X-Python3-Version: 3.8. Closes: #956673
  * could not reproduce Bug ##954432, asked the bugreport's author to try
    to erase stale configuration files, two weeks ago ... I got no
    response so far; so I guess that geophar failed to start in one
    particular machine in the world, and I know some other machines where
    it does not fail. Now closing this bug report. Closes: #954432

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 18 Apr 2020 14:29:33 +0200

geophar (18.08.6+dfsg1-1) unstable; urgency=medium

  * ignore more files
  * modified d/get-newest-version.sh to remove the file
    tools/resources/7zS.sfx
  * New upstream version 18.08.6+dfsg1
  * added build-dependencies: python3-kiwisolver
  * patched the file wxgeometrie/dependances.py to fit Debian systems
  * added "X-Python3-Version: 3.7" in d/control

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 12 Mar 2020 11:15:52 +0100

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
  python3-scipy, python3-pyqt5.qsci, python3-pyqt5.qtsvg
 Standards-Version: 4.3.0
 Homepage: http://sourceforge.net/projects/geophar/
+X-Python3-Version: 3.8
 Vcs-Browser: https://salsa.debian.org/georgesk/geophar
 Vcs-Git: https://salsa.debian.org/georgesk/geophar.git
 
@@ -18,6 +19,7 @@
  python3-scipy, python3-matplotlib (>= 1.1), python3-pyqt5,
  python3-pyqt5.qsci, python3-pyqt5.qtsvg, python3-pep8,
  python3-stemmer,
+ python3-kiwisolver,
  jsmath
 Conflicts: wxgeometrie ( << 1.99 )
 Replaces: wxgeometrie
@@ -26,11 +28,11 @@
 Description: Swiss army knife for the math teacher
  this application contains every tool you would like to find when
  preparing math courses, exercises or their keys. Features:
- - symbolic calculus
- - tables of variations, LaTeX syntax
- - dynamic geometry
- - probability trees
- - graphs
- - function plotting
- - histograms, etc.
+  - symbolic calculus
+  - tables of variations, LaTeX syntax
+  - dynamic geometry
+  - probability trees
+  - graphs
+  - function plotting
+  - histograms, etc.

## geophar 18.08.7+dfsg1

=== debian/changelog ===
geophar (18.08.7+dfsg1-1build1) jammy; urgency=medium

  * No-change rebuild to add python3.10.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 18 Oct 2021 00:19:19 +0200

geophar (18.08.7+dfsg1-1) unstable; urgency=medium

  * new upstream version
  * updated debian patches

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 28 Jan 2021 19:34:26 +0100

geophar (18.08.6+dfsg1-8) unstable; urgency=medium

  * patched custom_objects.py because of the newer Sympy version.
    Closes: #980631

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 22 Jan 2021 18:52:34 +0100

geophar (18.08.6+dfsg1-7) unstable; urgency=medium

  * stated X-Python3-Version: >= 3.8 in d/control
  * updated standards: Standards-Version: 4.5.1, debhelper-compat (=13)
  * added a build-dependency on python3-all-dev

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 12 Dec 2020 16:03:50 +0100

geophar (18.08.6+dfsg1-6) unstable; urgency=medium

  * fixed many wrong syntaxes (replaced "is" by "=="). Closes: #976967
  * new source upload; Closes: #976764

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 10 Dec 2020 18:59:31 +0100

geophar (18.08.6+dfsg1-5) unstable; urgency=medium

  * modified the call to matplotlib.use to remove the obsoleted parameter

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 01 Aug 2020 15:25:42 +0200

geophar (18.08.6+dfsg1-4) unstable; urgency=medium

  * added lines "from PyQt5 import QtCore" before lines "import sip"
    Closes: #966030

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 22 Jul 2020 19:56:48 +0200

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: math
 Priority: optional
 Maintainer: Georges Khaznadar <georgesk@debian.org>
-Build-Depends: debhelper (>= 11.0.0), python3-all, dh-python, quilt,
+Build-Depends: debhelper-compat (=13), python3-all-dev, dh-python, quilt,
  python3-sympy, python3-numpy, python3-matplotlib, python3-dbus,
  python3-sip, pyqt5-dev-tools,  qttools5-dev-tools, qt5-qmake,
  python3-scipy, python3-pyqt5.qsci, python3-pyqt5.qtsvg
-Standards-Version: 4.3.0
+Standards-Version: 4.5.1
 Homepage: http://sourceforge.net/projects/geophar/
-X-Python3-Version: 3.8
+X-Python3-Version: >= 3.8
 Vcs-Browser: https://salsa.debian.org/georgesk/geophar
 Vcs-Git: https://salsa.debian.org/georgesk/geophar.git

=== debian/rules ===
--- 
+++ 
@@ -18,8 +18,6 @@
 	rm -rf config
 	### remove the build dir
 	rm -rf build
-	### remove a sourceless binay
-	rm -f tools/resources/7zS.sfx
 
 
 PIXMAPDIR = debian/geophar/usr/share/pixmaps
@@ -44,6 +42,8 @@
 	find debian/geophar -name "*.py" -exec chmod 644 {} \;
 	chmod 644 debian/geophar/usr/share/geophar/tools/bash_autocompletion
 	chmod 755 debian/geophar/usr/share/geophar/tools/resources/geophar
+	chmod 755 debian/geophar/usr/share/geophar/tools/hooks/pre-commit
+	chmod 755 debian/geophar/usr/share/geophar/tools/hooks/post-commit
 	# remove files which cannot be compiled by phython 2
 	rm -rf debian/geophar/usr/share/geophar/wxgeometrie/sympy/mpmath/tests
 	rm -f debian/geophar/usr/share/geophar/wxgeometrie/sympy/mpmath/libmp/exec_py3.py

## geophar 18.09+dfsg1

=== doc/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 # You can set these variables from the command line.
 SPHINXOPTS    =
-SPHINXBUILD   = sphinx-build
+SPHINXBUILD   = python3 -msphinx
 PAPER         =
 BUILDDIR      = ../build

=== debian/changelog ===
geophar (18.09+dfsg1-2) unstable; urgency=medium

  * Removed uses of BasicMeta class which as this class no longer
    exists in the current version of sympy. Closes: #1042207

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 07 Aug 2023 11:51:08 +0200

geophar (18.09+dfsg1-1) unstable; urgency=medium

  * use uscan's repack feature by defining Files-excluded in d/copyright
  * New upstream version 18.09+dfsg1
  * added a debian patch for file wxgeometrie/modules/probabilites/arbre.py

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 11 Feb 2023 18:31:58 +0100

geophar (18.08.7+dfsg1-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Update lintian override info format in d/source/lintian-overrides on line 3.
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.2, no changes needed.
  * Remove constraints unnecessary since buster (oldstable):
    + geophar: Drop versioned constraint on python3-numpy (>= 1.3) in Depends.
    + geophar: Drop versioned constraint on python3-sympy (>= 0.7.1) in Depends.
    + geophar: Drop versioned constraint on python3-matplotlib (>= 1.1) in
      Depends.

  [ Georges Khaznadar ]
  * merged Janitor's changes

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 30 Jan 2023 10:48:10 +0100

geophar (18.08.7+dfsg1-3) unstable; urgency=medium

  * replaced "PS" by "path" in file parsers.py. Closes: #1029252

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 29 Jan 2023 21:28:05 +0100

geophar (18.08.7+dfsg1-2) unstable; urgency=medium

  * fixed the watch file

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 02 Nov 2022 17:31:00 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  python3-sympy, python3-numpy, python3-matplotlib, python3-dbus,
  python3-sip, pyqt5-dev-tools,  qttools5-dev-tools, qt5-qmake,
  python3-scipy, python3-pyqt5.qsci, python3-pyqt5.qtsvg
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Homepage: http://sourceforge.net/projects/geophar/
 X-Python3-Version: >= 3.8
 Vcs-Browser: https://salsa.debian.org/georgesk/geophar
@@ -15,8 +15,8 @@
 Package: geophar
 Architecture: all
 Depends: ${python3:Depends}, ${misc:Depends},
- python3-numpy (>= 1.3), python3-sympy (>= 0.7.1),
- python3-scipy, python3-matplotlib (>= 1.1), python3-pyqt5,
+ python3-numpy, python3-sympy,
+ python3-scipy, python3-matplotlib, python3-pyqt5,
  python3-pyqt5.qsci, python3-pyqt5.qtsvg, python3-pep8,
  python3-stemmer,
  python3-kiwisolver,
@@ -35,4 +35,3 @@
   - graphs
   - function plotting
   - histograms, etc.
-

=== debian/rules ===
--- 
+++ 
@@ -12,12 +12,13 @@
 	dh $@ --buildsystem=pybuild --with python3
 
 override_dh_auto_clean:
-	dh_auto_clean
-	### clean files created during tests
-	find . -type d -name __pycache__ | xargs rm -rf
-	rm -rf config
-	### remove the build dir
-	rm -rf build
+	rm -rf .pybuild/ Geophar.egg-info/ debian/.debhelper/ \
+	 debian/debhelper-build-stamp debian/files \
+	 debian/geophar.postinst.debhelper \
+	 debian/geophar.prerm.debhelper \
+	 debian/geophar.substvars \
+	 debian/geophar/ \
+	 $$(find . -type d -name __pycache__)
 
 
 PIXMAPDIR = debian/geophar/usr/share/pixmaps
@@ -27,7 +28,7 @@
 	install -d $(PIXMAPDIR)
 	install -m 644 debian/geophar.png $(PIXMAPDIR)/geophar.png
 	#######################################################
-	# replace javascript libraries which were bundled in the 
+	# replace javascript libraries which were bundled in the
 	# upstream package by symlinks
 	#######################################################

## geophar 18.10%2Bdfsg1

=== debian/rules ===
--- 
+++ 
@@ -18,8 +18,9 @@
 	 debian/geophar.prerm.debhelper \
 	 debian/geophar.substvars \
 	 debian/geophar/ \
-	 $$(find . -type d -name __pycache__)
-
+	 $$(find . -type d -name __pycache__) \
+	 $$(find wxgeometrie/ -name tools) \
+	 config/log/bienvenue_historique.log
 
 PIXMAPDIR = debian/geophar/usr/share/pixmaps
 override_dh_install:
@@ -45,14 +46,29 @@
 	chmod 755 debian/geophar/usr/share/geophar/tools/resources/geophar
 	chmod 755 debian/geophar/usr/share/geophar/tools/hooks/pre-commit
 	chmod 755 debian/geophar/usr/share/geophar/tools/hooks/post-commit
-	# remove files which cannot be compiled by phython 2
+	# remove files which cannot be compiled by python 2
 	rm -rf debian/geophar/usr/share/geophar/wxgeometrie/sympy/mpmath/tests
 	rm -f debian/geophar/usr/share/geophar/wxgeometrie/sympy/mpmath/libmp/exec_py3.py
 	# replace all the privacy-breaches
 	for f in $$(grep -rl 'script.*src.*mathjax' $(DESTDIR)/usr/share/geophar/wxgeometrie/doc/html); do \
 	  sed -i 's%https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-AMS-MML_HTMLorMML%http://localhost/javascript/mathjax/MathJax.js%' $$f; \
 	done
+	# modify the version number
+	date=$$(date --utc --date="@$$(dpkg-parsechangelog --show-field Timestamp)" +"(%Y, %-m, %-d)"); \
+	version=$$(dpkg-parsechangelog --show-field Version); \
+	fileToChange=debian/geophar/usr/share/geophar/wxgeometrie/version.py; \
+	echo version = $$version, date_version = $$date; \
+	sed -i -e "s/^version =.*/version = '$$version'/" \
+	  -e "s/^date_version =.*/date_version = $$date/" $$fileToChange
 
 override_dh_auto_test:
-	echo "Not doing tests, which are failing, probably due to --buildsystem=pybuild"
-	echo "However the tests are successful when the build is not done by debuild"
+	echo "no test for now"
+	: # export QT_QPA_PLATFORM=offscreen; \
+	: # export QTWEBENGINE_DISABLE_SANDBOX=1; \
+	: # export MPLCONFIGDIR=.pybuild/tmp; \
+	: # ln -s ../../../../tools  wxgeometrie/modules/tablatex/tests/; \
+	: # ln -s ../../../../tools  wxgeometrie/modules/probabilites/tests/; \
+	: # ln -s ../../../tools  wxgeometrie/geolib/tests/; \
+	: # ln -s ../../../tools  wxgeometrie/mathlib/tests/; \
+	: # python3 -m unittest discover -v --pattern="test_*.py"
+

=== debian/watch ===
version=4

# using Github's API with tags

#opts="searchmode=plain, \
# dversionmangle=auto, \
# repacksuffix=+dfsg1, repack, \
# filenamemangle=s%v?@ANY_VERSION@%@PACKAGE@-$1.tar.gz%" \
# https://api.github.com/repos/wxgeo/geophar/tags?per_page=100 \
# https://api.github.com/repos/[^/]+/[^/]+/tarball/refs/tags/v?@ANY_VERSION@

opts="searchmode=plain, \
 dversionmangle=auto, \
 repacksuffix=+dfsg1, repack, \
 filenamemangle=s%v?@ANY_VERSION@%@PACKAGE@-$1.tar.gz%" \
 https://api.github.com/repos/georgesk/geophar/tags?per_page=100 \
 https://api.github.com/repos/[^/]+/[^/]+/tarball/refs/tags/v?@ANY_VERSION@

## geophar 18.10+dfsg1

=== debian/changelog ===
geophar (18.10+dfsg1-8) unstable; urgency=medium

  * patched the file wxgeometrie/API/moteur_graphique.py, which
    Closes: #1126099
  * debian/rules target override_dh_auto_clean cleans additional
    directories: config/log config/preferences and config/session

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 29 Jan 2026 19:18:18 +0100

geophar (18.10+dfsg1-7) unstable; urgency=medium

  * removed autopkgtest's dependency on python3-sip. Closes: #1103024
  * pushed this change, thanks to Bastian Germann's kind NMU proposition;
    added the test dependency on python3-pyqt5.sip, thanks to Bastian Germann
  * new build-dependency: python3-setuptools

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 05 May 2025 09:37:58 +0200

geophar (18.10+dfsg1-6) unstable; urgency=medium

  * removd the extraneous dependency on python-pep8. Closes: #1093039

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 15 Jan 2025 14:24:05 +0100

geophar (18.10+dfsg1-5) unstable; urgency=medium

  * Fixed many SyntaxWarnings (using raw strings where strings came with 
    wrong escapes). Closes: #1085605

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 22 Oct 2024 09:11:22 +0200

geophar (18.10+dfsg1-4) unstable; urgency=medium

  * fixed a typo in wxgeometrie/geolib/tests/test_lines.py
    Closes: #1074661

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 02 Jul 2024 17:14:36 +0200

geophar (18.10+dfsg1-3) unstable; urgency=medium

  * applied Chris Lamb's patch, thanks! Closes: #1064506

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 26 Feb 2024 13:03:45 +0100

geophar (18.10+dfsg1-2) unstable; urgency=medium

  * removed the build-dependency on python3-sip. Closes: #1060739

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 13 Jan 2024 17:57:14 +0100

geophar (18.10+dfsg1-1) unstable; urgency=medium

  * temporarily change the upstream to georgesk's github repository
  * New upstream version 18.10+dfsg1
  * removed debian patches which targetted wxgeo's github repository
  * fixed the import of tools.unittests

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 05 Oct 2023 12:41:40 +0200

geophar (18.09+dfsg1-3) unstable; urgency=medium

  * added a debian patch to create plain unittests based on the
    older-styled test suite
  * removed a build-dependency on quilt, added  python3-pytest and
    python3-chardet
  * added autopkgtest support. Closes: #1035154. Closes: #1036487
  * added a file to trigger continuous integration at salsa
  * added new entries in debian/source/lintian-overrides

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 01 Oct 2023 19:50:16 +0200

=== debian/control ===
Source: geophar
Section: math
Priority: optional
Maintainer: Georges Khaznadar <georgesk@debian.org>
Build-Depends: debhelper-compat (=13),
 python3-all-dev,
 dh-python,
 python3-setuptools,
 python3-sympy,
 python3-numpy,
 python3-matplotlib,
 python3-dbus,
 pyqt5-dev-tools,
 qttools5-dev-tools,
 qt5-qmake,
 python3-scipy,
 python3-pyqt5.qsci,
 python3-pyqt5.qtsvg,
 python3-pytest,
 python3-chardet
Standards-Version: 4.6.2
Homepage: http://sourceforge.net/projects/geophar/
Vcs-Browser: https://salsa.debian.org/georgesk/geophar
Vcs-Git: https://salsa.debian.org/georgesk/geophar.git

Package: geophar
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends},
 python3-numpy,
 python3-sympy,
 python3-scipy,
 python3-matplotlib,
 python3-pyqt5,
 python3-pyqt5.qsci,
 python3-pyqt5.qtsvg,
 python3-stemmer,
 python3-kiwisolver,
 jsmath
Conflicts: wxgeometrie ( << 1.99 )
Replaces: wxgeometrie
Recommends: jsmath-fonts, libjs-mathjax
Suggests: apache2|httpd
Description: Swiss army knife for the math teacher
 this application contains every tool you would like to find when
 preparing math courses, exercises or their keys. Features:
  - symbolic calculus
  - tables of variations, LaTeX syntax
  - dynamic geometry
  - probability trees
  - graphs
  - function plotting
  - histograms, etc.

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,9 @@
 	 debian/geophar/ \
 	 $$(find . -type d -name __pycache__) \
 	 $$(find wxgeometrie/ -name tools) \
-	 config/log/bienvenue_historique.log
+	 config/log/* \
+	 config/preferences/* \
+	 config/session/*
 
 PIXMAPDIR = debian/geophar/usr/share/pixmaps
 override_dh_install:
